You are Here:
Linux Lite 5.2 RC1 is now available for download and testing



Update/Install Wine 5.0 in Linux Lite

Author (Read 14221 times)

0 Members and 5 Guests are viewing this topic.

Update/Install Wine 5.0 in Linux Lite
« on: February 15, 2020, 06:05:20 PM »
 

buumchakalaka

  • New to Forums
  • *
  • 1
    Posts
  • Country: es
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 4.8 64bit

  • CPU: 3.0

  • MEMORY: 8Gb

  • VIDEO CARD: Integrated
Hi friends, I am a complete noob about Linux and this is the first distribution I use.
I have a problem that I have no clue how to solve. I want to play some Windows games with Wine, but when I install Wine through Lite Software it installs the 3.0 version, but the most recent version of wine is 5.0, and as a result is giving me problems (It doesnt run any of the games I tried).
I'm trying to figure out how to update or install the newest version but can't figure it out.

Hope someone can give me a hand, thanks in advance!
 


Re: Update/Install Wine 5.0 in Linux Lite
« Reply #1 on: February 15, 2020, 07:44:38 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
Install PlayOnLinux and you should be able to install the newest Wine version or check Steam and Lutris for the games you play.
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #2 on: March 12, 2020, 04:40:47 PM »
 

Tomm16 Rnr

  • New to Forums
  • *
  • 16
    Posts
  • Reputation: 0
Hello, how do I install Wine from PlayOnLinux? sorry for my question, I'm a newbie to Linux   ;D
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #3 on: March 12, 2020, 06:35:08 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
Code: [Select]
sudo apt-get install playonlinuxIt should install Wine by default and the program gives an option in a drop down menu to install other versions of Wine.

That command is to be ran out of terminal or you can use synaptic and search for playonlinux and it should show up allowing you to install it.
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #4 on: March 12, 2020, 06:43:15 PM »
 

Tomm16 Rnr

  • New to Forums
  • *
  • 16
    Posts
  • Reputation: 0
When I do that I get the following


The following packages have unmet dependencies:
 playonlinux: Depends: jq
 wine-stable-amd64: Depends: libfaudio0 but will not install
 wine-stable-i386: i386: Depends: libfaudio0: i386 but will not install
                         Recommends: libcapi20-3: i386 but will not install
                         Recommends: libglu1-table: i386 but will not install or
                                     libglu1: i386
                         Recommends: libodbc1: i386 but will not install
                         Recommends: libosmesa6: i386 but will not install
                         Recommends: libsane: i386 or
                                     libsane1: i386 but it will not install
                         Recommends: libv4l-0: i386 but will not install
                         Recommends: libxslt1.1: i386 but will not install
E: Unfulfilled dependencies. Try "apt --fix-broken install" without packages (or specify a solution).
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #5 on: March 12, 2020, 06:50:13 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
What Linux Lite version do you have installed?

Run what the error told you to do also out of terminal.

Last Edit: March 12, 2020, 06:51:56 PM by supergamer
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #6 on: March 12, 2020, 06:51:13 PM »
 

Tomm16 Rnr

  • New to Forums
  • *
  • 16
    Posts
  • Reputation: 0
4.8, recently instaled
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #7 on: March 12, 2020, 06:52:27 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
Run in terminal

Code: [Select]
apt --fix-broken install
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #8 on: March 12, 2020, 06:53:57 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
Playonlinux should have installed without issues in 18.04 base Ubuntu unless something else has been done to the base.
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #9 on: March 12, 2020, 06:55:52 PM »
 

Tomm16 Rnr

  • New to Forums
  • *
  • 16
    Posts
  • Reputation: 0
Run in terminal

Code: [Select]
apt --fix-broken install

After doing that I get the following

Errors encountered while processing:
/var/cache/apt/archives/libfaudio0_20.03-bionic~1ppa1_i386.deb
 /var/cache/apt/archives/libfaudio0_20.03-bionic~1ppa1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #10 on: March 12, 2020, 06:59:52 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
Explain exactly what you have done to this point please as it should never try to get a non 64 bit package and it looks as though it has. You can open up synaptic and see if it has broken packages, if it does uninstall them and if you did anything to the source lists please set them back to default by unchecking them in the software settings.
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #11 on: March 12, 2020, 07:14:39 PM »
 

Tomm16 Rnr

  • New to Forums
  • *
  • 16
    Posts
  • Reputation: 0
The only thing I did was try to install winehq from the official page, I have entered synaptics and when I tried to update / repair using synaptics, it showed the following error

E: /var/cache/apt/archives/libfaudio0_20.03-bionic~1ppa1_i386.deb: trying to overwrite `/usr/lib/i386-linux-gnu/libFAudio.so.0', which is also in the package libfaudio:i386 19.03-bionic~5ppa3
E: /var/cache/apt/archives/libfaudio0_20.03-bionic~1ppa1_amd64.deb: trying to overwrite `/usr/lib/x86_64-linux-gnu/libFAudio.so.0', which is also in the package libfaudio:amd64 19.03-bionic~5ppa3
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #12 on: March 12, 2020, 07:18:52 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
Uninstall the Wine you have installed along with that package. If in doubt ask please. Use synaptic as it is easier for new users, more dangerous but easier.


 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #13 on: March 12, 2020, 07:22:43 PM »
 

Tomm16 Rnr

  • New to Forums
  • *
  • 16
    Posts
  • Reputation: 0
Could you tell me what I have to do? I'm a new user in linux, I don't want to compromise my computer
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #14 on: March 12, 2020, 07:30:50 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
I could give you a long list of things to do or a safer way and maybe better if this is a newly installed system without a lot of things on it. If that is the case, copy everything you have to a flash drive or other media and just reinstall without adding any additional repos and install playonlinux. Do me a favor, run
Code: [Select]
sudo apt-get remove winehit enter and copy and paste what is says in the terminal here so I can see, do not type yes and hit enter again before I see what it says please.
 


Tags:
 


Linux Lite 5.2 RC1 is now available for download and testing